### Method

# Gimp DrawableFilter delete

since: 3.0

#### Declaration [src]

    gboolean
    gimp_drawable_filter_delete (
      GimpDrawableFilter* filter
    )

#### Description [src]

Delete a drawable filter.

This procedure deletes the specified filter. This must not be done if the drawable whose this filter was applied to was already deleted or if the drawable was already removed from the image. Do not use anymore the `filter` object after having deleted it.

Available since: 3.0

#### Return value

Type: `gboolean`

TRUE on success.